#! /usr/bin/env ruby

# mml-samp.rb: Written by Tadayoshi Funaba 2005
# $Id: mml-samp.rb,v 1.1 2005-07-17 17:16:18+09 tadf Exp $

require 'smf/toy/macro/mml'
include SMF

sq = Sequence.new
mm = MML.new(sq)
mm << 'gm=1 r ch=0 pr=0'
12.times do
  mm << "{q c# h c# q r}&"
  mm << "{q d# h d# q r}&"
  mm << "{q a  h a  q r}"
  mm << "oc += 1/12"
end
mm.generate
sq.save('mml-samp.mid')
